Skip to main content
GET
/
open-api
/
checkout
/
order
Listar pedidos
curl --request GET \
  --url https://api.mginex.com/open-api/checkout/order \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "orders": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "PENDING",
        "customer": {
          "email": "[email protected]",
          "name": "<string>"
        },
        "items": [
          {
            "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "productTitle": "<string>",
            "quantity": 123,
            "price": 123
          }
        ],
        "pricing": {
          "subtotal": 123,
          "discount": 123,
          "total": 123
        },
        "paymentMethod": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "lastPage": 123
  }
}

Authorizations

Authorization
string
header
required

Token de API gerado no painel da Mginex em Configurações > Open API

Query Parameters

page
integer
default:1

Número da página

limit
integer
default:10

Quantidade de itens por página

Required range: x <= 100
email
string

Filtrar por email do cliente

status
string

Filtrar por status (separados por vírgula)

Response

200 - application/json

Lista de pedidos

success
boolean
data
object